For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
        • POSTGenerate Description
          • GETCSV
LogoLogo
Sign upLog in
API ReferenceModelConnectionsExport

CSV

Deprecated
GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/connections/export/csv
GET
/v1/landscapes/:landscapeId/versions/:versionId/model/connections/export/csv
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.connections.export.csv("landscapeId", "versionId");
8}
9main();
1"string"

Use the /landscapes/{landscapeId}/versions/{versionId}/export endpoint with type=connection-csv instead

Was this page helpful?
Previous

List Dependencies

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error